PairwiseAlignmentFrame (NeoBio API)

Overview | Package | Class | Tree | Index | Help
| NeoBio API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## neobio.gui
Class PairwiseAlignmentFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JInternalFrame
                              |
                              +--neobio.gui.PairwiseAlignmentFrame

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class PairwiseAlignmentFrame
extends javax.swing.JInternalFrame

This class is the internal frame of NeoBio's graphical interface for computing pairwise sequence alignments using one of the the algorithms provided in the neobio.alignment package.

Author:
  Sergio A. de Carvalho Jr.
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JInternalFrame
`javax.swing.JInternalFrame.AccessibleJInternalFrame, javax.swing.JInternalFrame.JDesktopIcon`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private PairwiseAlignmentAlgorithm[]` | `algorithm`
`private javax.swing.JComboBox` | `algorithm_combo`
`private java.lang.String[]` | `algorithm_name`
`private javax.swing.JPanel` | `algorithm_panel`
`private javax.swing.JRadioButton` | `basic_button`
`private boolean` | `basic_scheme`
`private javax.swing.JRadioButton` | `file_button`
`private javax.swing.JFileChooser` | `find_dialog`
`private javax.swing.JButton` | `find_matrix_button`
`private javax.swing.JButton` | `find_output_button`
`private javax.swing.JButton` | `find_seq1_button`
`private javax.swing.JButton` | `find_seq2_button`
`private javax.swing.JTextField` | `gap_field`
`private javax.swing.JLabel` | `gap_label`
`private javax.swing.JPanel` | `input_panel`
`private javax.swing.JTextField` | `match_field`
`private javax.swing.JLabel` | `match_label`
`private javax.swing.JRadioButton` | `matrix_button`
`private javax.swing.JTextField` | `matrix_field`
`private javax.swing.JTextField` | `mismatch_field`
`private javax.swing.JLabel` | `mismatch_label`
`private javax.swing.JTextArea` | `output_area`
`private javax.swing.JTextField` | `output_field`
`private javax.swing.ButtonGroup` | `output_group`
`private javax.swing.JPanel` | `output_panel`
`private javax.swing.JTabbedPane` | `output_tab`
`private javax.swing.JPanel` | `output_tab_panel`
`private boolean` | `output_to_file`
`private java.awt.Frame` | `parent_frame`
`private javax.swing.JTextArea` | `progress_area`
`private javax.swing.JPanel` | `progress_tab_panel`
`private javax.swing.JButton` | `run_button`
`private javax.swing.ButtonGroup` | `scoring_group`
`private javax.swing.JPanel` | `scoring_panel`
`private javax.swing.JRadioButton` | `screen_button`
`private javax.swing.JTextField` | `seq1_field`
`private javax.swing.JLabel` | `seq1_label`
`private javax.swing.JTextField` | `seq2_field`
`private javax.swing.JLabel` | `seq2_label`
`private static int` | `window_number`

Fields inherited from class javax.swing.JInternalFrame
`closable, CONTENT_PANE_PROPERTY, desktopIcon, FRAME_ICON_PROPERTY, frameIcon, GLASS_PANE_PROPERTY, iconable, IS_CLOSED_PROPERTY, IS_ICON_PROPERTY, IS_MAXIMUM_PROPERTY, IS_SELECTED_PROPERTY, isClosed, isIcon, isMaximum, isSelected, LAYERED_PANE_PROPERTY, maximizable, MENU_BAR_PROPERTY, resizable, ROOT_PANE_PROPERTY, rootPane, rootPaneCheckingEnabled, title, TITLE_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PairwiseAlignmentFrame(java.awt.Frame parent_frame)` Creates a new instance of the internal frame.

Method Summary
`private void` | `add(javax.swing.JComponent a, javax.swing.JComponent b, java.awt.GridBagConstraints c, int x, int y)`
`private void` | `checkRunButtonStatus()`
`private void` | `findMatrixButtonActionPerformed()`
`private void` | `findOutputButtonActionPerformed()`
`private void` | `findSeq1ButtonActionPerformed()`
`private void` | `findSeq2ButtonActionPerformed()`
`private void` | `initComponents()`
`private void` | `outputOptionStateChanged()`
`private void` | `runButtonActionPerformed()`
`private void` | `schemeOptionStateChanged()`
`private void` | `showError(java.lang.String message)`

Methods inherited from class javax.swing.JInternalFrame
`addImpl, addInternalFrameListener, createRootPane, dispose, doDefaultCloseAction, fireInternalFrameEvent, getAccessibleContext, getContentPane, getDefaultCloseOperation, getDesktopIcon, getDesktopPane, getFocusCycleRootAncestor, getFocusOwner, getFrameIcon, getGlassPane, getInternalFrameListeners, getJMenuBar, getLayer, getLayeredPane, getMenuBar, getMostRecentFocusOwner, getNormalBounds, getRootPane, getTitle, getUI, getUIClassID, getWarningString, isClosable, isClosed, isFocusCycleRoot, isIcon, isIconifiable, isMaximizable, isMaximum, isResizable, isRootPaneCheckingEnabled, isSelected, moveToBack, moveToFront, pack, paintComponent, paramString, remove, removeInternalFrameListener, reshape, restoreSubcomponentFocus, setClosable, setClosed, setContentPane, setDefaultCloseOperation, setDesktopIcon, setFocusCycleRoot, setFrameIcon, setGlassPane, setIcon, setIconifiable, setJMenuBar, setLayer, setLayer, setLayeredPane, setLayout, setMaximizable, setMaximum, setMenuBar, setNormalBounds, setResizable, setRootPane, setRootPaneCheckingEnabled, setSelected, setTitle, setUI, show, toBack, toFront, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### window_number

    private static int window_number

### parent_frame

    private java.awt.Frame parent_frame

### input_panel

    private javax.swing.JPanel input_panel

### scoring_panel

    private javax.swing.JPanel scoring_panel

### algorithm_panel

    private javax.swing.JPanel algorithm_panel

### output_panel

    private javax.swing.JPanel output_panel

### progress_tab_panel

    private javax.swing.JPanel progress_tab_panel

### output_tab_panel

    private javax.swing.JPanel output_tab_panel

### seq1_field

    private javax.swing.JTextField seq1_field

### seq2_field

    private javax.swing.JTextField seq2_field

### matrix_field

    private javax.swing.JTextField matrix_field

### output_field

    private javax.swing.JTextField output_field

### match_field

    private javax.swing.JTextField match_field

### mismatch_field

    private javax.swing.JTextField mismatch_field

### gap_field

    private javax.swing.JTextField gap_field

### progress_area

    private javax.swing.JTextArea progress_area

### output_area

    private javax.swing.JTextArea output_area

### find_seq1_button

    private javax.swing.JButton find_seq1_button

### find_seq2_button

    private javax.swing.JButton find_seq2_button

### find_output_button

    private javax.swing.JButton find_output_button

### find_matrix_button

    private javax.swing.JButton find_matrix_button

### run_button

    private javax.swing.JButton run_button

### algorithm_combo

    private javax.swing.JComboBox algorithm_combo

### output_tab

    private javax.swing.JTabbedPane output_tab

### screen_button

    private javax.swing.JRadioButton screen_button

### file_button

    private javax.swing.JRadioButton file_button

### basic_button

    private javax.swing.JRadioButton basic_button

### matrix_button

    private javax.swing.JRadioButton matrix_button

### scoring_group

    private javax.swing.ButtonGroup scoring_group

### output_group

    private javax.swing.ButtonGroup output_group

### seq1_label

    private javax.swing.JLabel seq1_label

### seq2_label

    private javax.swing.JLabel seq2_label

### match_label

    private javax.swing.JLabel match_label

### mismatch_label

    private javax.swing.JLabel mismatch_label

### gap_label

    private javax.swing.JLabel gap_label

### find_dialog

    private javax.swing.JFileChooser find_dialog

### output_to_file

    private boolean output_to_file

### basic_scheme

    private boolean basic_scheme

### algorithm_name

    private java.lang.String[] algorithm_name

### algorithm

    private PairwiseAlignmentAlgorithm[] algorithm

Constructor Detail

### PairwiseAlignmentFrame

    public PairwiseAlignmentFrame(java.awt.Frame parent_frame)

  Creates a new instance of the internal frame.

Parameters:
  `parent_frame` - the parent frame

Method Detail

### initComponents

    private void initComponents()

### add

    private void add(javax.swing.JComponent a,
                     javax.swing.JComponent b,
                     java.awt.GridBagConstraints c,
                     int x,
                     int y)

### findSeq1ButtonActionPerformed

    private void findSeq1ButtonActionPerformed()

### findSeq2ButtonActionPerformed

    private void findSeq2ButtonActionPerformed()

### findMatrixButtonActionPerformed

    private void findMatrixButtonActionPerformed()

### findOutputButtonActionPerformed

    private void findOutputButtonActionPerformed()

### schemeOptionStateChanged

    private void schemeOptionStateChanged()

### outputOptionStateChanged

    private void outputOptionStateChanged()

### checkRunButtonStatus

    private void checkRunButtonStatus()

### runButtonActionPerformed

    private void runButtonActionPerformed()

### showError

    private void showError(java.lang.String message)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://neobio.sourceforge.net
NeoBio is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. NeoBio is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NeoBio; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.